'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var WizardFooterBasicControls = function (_Component) {
  _inherits(WizardFooterBasicControls, _Component);

  function WizardFooterBasicControls() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, WizardFooterBasicControls);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = WizardFooterBasicControls.__proto__ || Object.getPrototypeOf(WizardFooterBasicControls)).call.apply(_ref, [this].concat(args))), _this), _this.handleNext = function () {
      var _this$props = _this.props,
          currentStep = _this$props.currentStep,
          onChangeStep = _this$props.onChangeStep;

      onChangeStep(currentStep + 1);
    }, _this.handlePrevious = function () {
      var _this$props2 = _this.props,
          currentStep = _this$props2.currentStep,
          onChangeStep = _this$props2.onChangeStep;

      onChangeStep(currentStep - 1);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(WizardFooterBasicControls, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          currentStep = _props.currentStep,
          labels = _props.labels,
          onCancel = _props.onCancel,
          onFinish = _props.onFinish,
          onSave = _props.onSave,
          showSaveButton = _props.showSaveButton,
          totalSteps = _props.totalSteps;

      var isLastStep = currentStep === totalSteps - 1;
      return _react2.default.createElement(
        _react2.default.Fragment,
        null,
        _react2.default.createElement(
          _semanticUiReact.Button,
          { onClick: onCancel },
          labels.cancel
        ),
        currentStep > 0 && _react2.default.createElement(
          _semanticUiReact.Button,
          { onClick: this.handlePrevious },
          labels.prev
        ),
        showSaveButton && !isLastStep && _react2.default.createElement(
          _semanticUiReact.Button,
          { onClick: onSave },
          labels.save
        ),
        !isLastStep && _react2.default.createElement(
          _semanticUiReact.Button,
          { className: 'blue', onClick: this.handleNext },
          labels.next
        ),
        isLastStep && _react2.default.createElement(
          _semanticUiReact.Button,
          { className: 'blue', onClick: onFinish },
          labels.finish
        )
      );
    }
  }]);

  return WizardFooterBasicControls;
}(_react.Component);

WizardFooterBasicControls.propTypes = {
  currentStep: _propTypes2.default.number.isRequired,
  labels: _propTypes2.default.shape({
    cancel: _propTypes2.default.string,
    prev: _propTypes2.default.string,
    save: _propTypes2.default.string,
    next: _propTypes2.default.string,
    finish: _propTypes2.default.string
  }),
  onCancel: _propTypes2.default.func,
  onChangeStep: _propTypes2.default.func.isRequired,
  onFinish: _propTypes2.default.func,
  onSave: _propTypes2.default.func,
  showSaveButton: _propTypes2.default.bool,
  totalSteps: _propTypes2.default.number.isRequired
};
WizardFooterBasicControls.defaultProps = {
  labels: {
    cancel: 'Cancel',
    prev: 'Previous',
    save: 'Save',
    next: 'Next',
    finish: 'Finish'
  }
};
exports.default = WizardFooterBasicControls;